# Function minErr

- minErr(module): ((arg0: string, arg1: any[]) => Error)

- This object provides a utility for producing rich Error messages within AngularJS. It can be called as follows:

  let exampleMinErr = minErr('example'); throw exampleMinErr('one', 'This {0} is {1}', foo, bar);

  The above creates an instance of minErr in the example namespace. The resulting error will have a namespaced error code of example.one. The resulting error will replace {0} with the value of foo, and {1} with the value of bar. The object is not restricted in the number of arguments it can take.

  If fewer arguments are specified than necessary for interpolation, the extra interpolation markers will be preserved in the final string.

  Since data will be parsed statically during a build step, some restrictions are applied with respect to how minErr instances are created and called. Instances should have names of the form namespaceMinErr for a minErr created using minErr('namespace'). Error codes, namespaces and template strings should all be static strings, not variables or general expressions.

  #### Parameters

  - module: string

    The namespace to use for the new minErr instance.

  #### Returns ((arg0: string, arg1: any[]) => Error)

  minErr instance

  - - (arg0, arg1): Error

    - #### Parameters

      - arg0: string
      - arg1: any[]

      #### Returns Error

  - Defined in shared/utils.js:1139